%global pkgname crontab

%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

%global bootstrap_traceback2 1

Summary:        Python Crontab API
Name:           python-%{pkgname}
Version:        2.0.2
Release:        1%{?dist}
License:        LGPL
# NOTE: This rpm is based off pip's python-crontab instead of crontab.
#       Both provide the python module "crontab".  But python-crontab
#       provides crontab api's, while crontab only parses crontab files.
#       If you wish to package pip's crontab as an rpm, it would be
#       best to package it as python-parse-crontab instead of python-crontab
#
#parse-crontab URL:    https://github.com/josiahcarlson/parse-crontab
#parse-crontab AltURL: https://pypi.python.org/pypi/crontab/
URL:            https://pypi.python.org/pypi/python-crontab/
Source0:        http://pypi.python.org/packages/source/p/python-%{pkgname}/python-%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if ! 0%{?bootstrap_traceback2}
# Test dependencies
BuildRequires:  python-unittest2
%endif
%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with python3

%description
Crontab module for read and writing crontab files
and accessing the system cron automatically and
simply using a direct API.

%if %{with python3}
%package     -n python3-%{pkgname}
Summary:        Python Crontab API

%description -n python3-%{pkgname}
Crontab module for read and writing crontab files
and accessing the system cron automatically and
simply using a direct API.

%endif # with python3


%prep
%setup -qcn python-%{pkgname}-%{version}
mv python-%{pkgname}-%{version} python2

%if %{with python3}
cp -a python2 python3
%endif # with python3


%build
pushd python2
%{__python2} setup.py build
popd

%if %{with python3}
pushd python3
%{__python3} setup.py build
popd
%endif # with python3


%install
rm -rf $RPM_BUILD_ROOT
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if %{with python3}
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with python3

pushd python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%check
%if ! 0%{?bootstrap_traceback2}
pushd python2
mv ../tests %{pkgname}/
%{__python2} -m unittest2 -v
mv %{pkgname}/tests ../
popd
%endif

%if %{with python3}
pushd python3
%{__python3} -m unittest2 -v
mv %{pkgname}/tests ../
popd
%endif

%files
%license python2/COPYING
%doc python2/AUTHORS python2/ChangeLog python2/README
%{python2_sitelib}/*

%if %{with python3}
%files -n python3-%{pkgname}
%license python3/COPYING
%doc python3/AUTHORS python3/ChangeLog python3/README
%{python3_sitelib}/*
%endif # with python3


%changelog
* Tue Jun 21 2016 Troy Dawson <tdawson@redhat.com> 2.0.2-1
- Update to 2.0.2

* Mon Jun 20 2016 Troy Dawson <tdawson@redhat.com> 0.21.3-1
- Initial package
